Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Build failed - dylan branch
#1
I tried to build the dev release to check it out but got back the following error:
Code:
  [echo] MekHQ
    [javac] C:\Users\pheonixstorm\workspace\MekHQ-dylan\MekHQ\packaging.xml:185: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
    [javac] Compiling 252 source files to C:\Users\pheonixstorm\workspace\MekHQ-dylan\MekHQ\svndev\classes
    [javac] warning: [options] bootstrap class path not set in conjunction with -source 1.6
    [javac] C:\Users\pheonixstorm\workspace\MekHQ-dylan\MekHQ\svndev\src\mekhq\gui\CampaignGUI.java:8442: error: strings in switch are not supported in -source 1.6
    [javac]                 switch(quality) {
    [javac]                        ^
    [javac]   (use -source 7 or higher to enable strings in switch)
    [javac] C:\Users\pheonixstorm\workspace\MekHQ-dylan\MekHQ\svndev\src\mekhq\gui\CampaignGUI.java:9153: error: strings in switch are not supported in -source 1.6
    [javac]                 switch(quality) {
    [javac]                        ^
    [javac]   (use -source 7 or higher to enable strings in switch)
    [javac] C:\Users\pheonixstorm\workspace\MekHQ-dylan\MekHQ\svndev\src\mekhq\campaign\personnel\SkillPrereq.java:117: error: strings in switch are not supported in -source 1.6
    [javac]             switch(temp[1].substring(0, 1)) {
    [javac]                                     ^
    [javac]   (use -source 7 or higher to enable strings in switch)
    [javac] Note: Some input files use unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.
    [javac] 3 errors
    [javac] 1 warning

Does the package.xml need an update or am I getting this because my sdk is 1.7?
Reply
#2
The .xml build file indeed needs an update.
Reply
#3
Do you guys use an IDE like NetBeans?

Any preferred Editors?

Anyone have any pointers for FREE as in air Java education?

I downloaded the Source last night along with NetBeans. As I mentioned in a previous post I don't have any Java experience but do have minor programming experience in the past.
Reply
#4
I can't speak for everyone, but I use Eclipse.  As for Free training, I'm slowly, keyword slowly, learning via Youtube and a couple of learn Java books from the local bookstore and library.

Its a couple of years old but this thread got me started:
http://megamek.info/forums/index.php?topic=25.0
Reply
#5
I have been using eclipse. One you figure out how to get it running on windows its fairly easy to work with (compared to the latest visual studio which I am more familiar with)
Reply
#6
Eclipse Standard Edition 4.3.1 I'm assuming?

http://www.eclipse.org/downloads/
Reply
#7
I actually use Eclipse Indigo (3.7) but I can't recall if there was a specific reason for that or if my version is just really out of date by now.  :Smile

Edit: I'm pretty sure the latter.
Reply
#8
Thats what I'm using.  You also just need to make sure you get the right Java JDK version, to keep it simple for me I use 32bit Eclipse and 32bit Java.

I'm sure Ral,Bee or Arlith can let you know if there is an easier or better way.  ;D
Reply
#9
(02-10-2014, 10:06 AM)BeeRockxs link Wrote: The .xml build file indeed needs an update.
Basically you need to change all the 1.6 in the build.xml to 1.7 if I recall correctly. Also if you are using the local release file, I made a patch to make it also zip the unit files like the release build file. Though, you should get the standard build file working before you decide to make release builds.

I use IntelliJ IDEA, but I really haven't done much with the code development. I use it for other Java projects. Not sure how it compares to Eclipse since I don't know Eclipse.
Reply
#10
(02-10-2014, 10:06 AM)BeeRockxs link Wrote: The .xml build file indeed needs an update.

I'll be doing this across all the projects today. I've been delayed in finishing up and building the releases due to some real life stuff going on today and dealing with the weather (snow blowing sucks).
Reply
#11
Might have snow down here tomorrow or the next day.. sadly only an inch or two Sad Another issue I had was no overview tab after I got your branch to compile. Not sure why that happened. Did something go amiss in your branch?
Reply
#12
Alright... I got Eclipse and Subclipse... trying to connect to SourceForge and... nothing!

Apparently I'm too retarded to know what to use as the URL for Subclipse. I've tried all sorts of things.

hlep!
Reply
#13
The links are at the top here on each projects Code Page:
https://sourceforge.net/p/megamek/code/HEAD/tree/

Look for the Read Only Access - Should see a line like this -
svn checkout svn://svn.code.sf.net/p/megamek/code/trunk megamek-code

you would then use
svn://svn.code.sf.net/p/megamek/code/trunk




Reply
#14
(02-20-2014, 01:47 PM)Hammer link Wrote: The links are at the top here on each projects Code Page:
https://sourceforge.net/p/megamek/code/HEAD/tree/

Look for the Read Only Access - Should see a line like this -
svn checkout svn://svn.code.sf.net/p/megamek/code/trunk megamek-code

you would then use
svn://svn.code.sf.net/p/megamek/code/trunk

99.999% certain I tried that already but... my Brother just bought me a new laptop  ;D

I'll try again later  8)
Reply
#15
I use the http one for Read Only rather than the RW svn one.

MM - http://svn.code.sf.net/p/megamek/code/trunk
MML - http://svn.code.sf.net/p/megameklab/code/trunk
MHQ - http://svn.code.sf.net/p/mekhq/code/trunk/MekHQ
MHQ Dylan - http://svn.code.sf.net/p/mekhq/code/branch/dylan

those work for me. Provided you have subclipse working properly those should work for you as well.
Reply
#16
(02-20-2014, 04:52 PM)pheonixstorm link Wrote: I use the http one for Read Only rather than the RW svn one.

MM - http://svn.code.sf.net/p/megamek/code/trunk
MML - http://svn.code.sf.net/p/megameklab/code/trunk
MHQ - http://svn.code.sf.net/p/mekhq/code/trunk/MekHQ
MHQ Dylan - http://svn.code.sf.net/p/mekhq/code/branch/dylan

those work for me. Provided you have subclipse working properly those should work for you as well.

I could have sworn I tried those... they work.

However... my new laptop is out for delivery right now and all I can think about is the Brown Truck of Joy!
Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  MekHQ build target = 1.6, and does not compile luiges90 1 783 02-23-2014, 12:02 PM
Last Post: ralgith
  How do you include custom MegaMek build with MekHQ? luiges90 6 1,306 02-19-2014, 11:22 AM
Last Post: luiges90

Forum Jump:


Users browsing this thread: 1 Guest(s)